Create an invoice

Create a new invoice.

See Invoices in the Guides section for more information, sample requests, and responses.

Body Params
string
length ≤ 100

User-generated invoice number. This value can be your chosen number scheme.

If you do not set this field, invoiceNumber is auto-generated.

date

Invoice creation date. This value is in the yyyy-MM-dd format.

If you do not set this field, invoiceDate is set as the date when the invoice is created.

date

Invoice due date. The value is in the yyyy-MM-dd format.

If you do not set this field, dueDate is set as the date when the invoice is created.

customer
object
required

Customer contact information.

  • Set the customer id for associating an existing customer to the invoice
  • Set name and email for creating a new customer with the invoice.

In the response, a new BILL-generated customer id is available.

invoiceLineItems
array of objects
required

Invoice line item information

invoiceLineItems*
processingOptions
object

Invoice processing options

string

BILL-generated ID of the chart of accounts for the invoice payment. The value begins with 0ca.

classifications
object

General ledger classifications information for the invoice

number
≥ 0

Credit amount applied to the invoice.

BILL applies the credit amount from the total of all the credit memos available for the customer.

string

BILL-generated ID of the SALES_TAX item. The value begins with 0ii. The tax rate is applied to all the invoice line items set as taxable.

You can set up a SALES_TAX percentage item with POST /v3/classifications/items.

boolean

Set as true if the card payment option is enabled for the invoice

convenienceFee
object

Convenience fee information. The customer is charged the convenience fee when they pay the invoice using a card. To set the convenience fee, enableCardPayment must be set as true.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json